import { iRect, Rect } from '../../../../../../../../../../../../../rect';
import { iImageData, ImageData } from '../../../../../../../../../../../../../image-data';
import { eAuthenticity, eCheckDiagnose, eCheckResult, eLights } from '../../../../../../../../../../../../../../../consts';
import { iRawImageContainerList, RawImageContainerList } from './children';
/**
* Serves for storing the result of invisible personal information embedded image visualization
*/
export interface iPhotoIdentResult {
    /**
    * Type of the performed check
    * @type {eAuthenticity.IPI | eAuthenticity.IR_PHOTO}
    */
    Type: eAuthenticity.IPI | eAuthenticity.IR_PHOTO;
    /**
    * Checking result
    * @type {eCheckResult}
    */
    ElementResult: eCheckResult;
    /**
    * Element with which errors are checked
    * @type {eCheckDiagnose}
    */
    ElementDiagnose: eCheckDiagnose;
    /**
    * Light scheme
    * @type {eLights}
    */
    LightIndex: eLights;
    /**
    * Field area’s coordinates
    * @type {iRect}
    */
    Area: iRect;
    /**
    * Source image
    * @type {iImageData}
    */
    SourceImage: iImageData;
    /**
    * Array of the output images
    * @type {iRawImageContainerList}
    */
    ResultImages: iRawImageContainerList;
    /**
    * Count of the the text fields, which are encoded in the IPI image.
    * Reserved. Not used.
    * @internal
    */
    FieldTypesCount?: number;
    /**
    * List of the the text fields, which are encoded in the IPI image. Reserved. Not used
    * @internal
    */
    FieldTypesList?: number[];
    /**
     * @type {number}
     */
    Step?: number;
    /**
     * @type {number}
     */
    Angle?: number;
    /**
    * @internal
    */
    Reserved1?: number;
    /**
    * @internal
    */
    Reserved2?: number;
    /**
    * @internal
    */
    Reserved3?: number;
}
/**
* Serves for storing the result of invisible personal information embedded image visualization
*/
export declare class PhotoIdentResult implements iPhotoIdentResult {
    /**
    * Type of the performed check
    * @type {eAuthenticity.IPI | eAuthenticity.IR_PHOTO}
    */
    Type: eAuthenticity.IPI | eAuthenticity.IR_PHOTO;
    /**
    * Checking result
    * @type {eCheckResult}
    */
    ElementResult: eCheckResult;
    /**
    * Element with which errors are checked
    * @type {eCheckDiagnose}
    */
    ElementDiagnose: eCheckDiagnose;
    /**
    * Light scheme
    * @type {eLights}
    */
    LightIndex: eLights;
    /**
    * Field area’s coordinates
    * @type {Rect}
    */
    Area: Rect;
    /**
    * Source image
    * @type {ImageData}
    */
    SourceImage: ImageData;
    /**
    * Array of the output images
    * @type {RawImageContainerList}
    */
    ResultImages: RawImageContainerList;
    /**
    * Count of the the text fields, which are encoded in the IPI image.
    * Reserved. Not used.
    * @internal
    */
    FieldTypesCount?: number;
    /**
    * List of the the text fields, which are encoded in the IPI image. Reserved. Not used
    * @internal
    */
    FieldTypesList?: number[];
    /**
     * @type{number}
     */
    Step?: number;
    /**
     * @type{number}
     */
    Angle?: number;
    /**
    * @internal
    */
    Reserved1?: number;
    /**
    * @internal
    */
    Reserved2?: number;
    /**
    * @internal
    */
    Reserved3?: number;
}
