import { iTrfFtString, TrfFtString } from '../trf-ft-string';
import { iRfidAttributeName } from './children';
/**
* Structure contains information that serves as the distinguished name (identifier) of an object.
*/
export interface iRfidDistinguishedName {
    /**
    * Contents of the identifier in binary form. Base64 encoded.
    * @type {string}
    */
    Data: string;
    /**
    * Text representation of the identifier (UTF8)
    * @type {iTrfFtString}
    */
    FriendlyName: iTrfFtString;
    /**
    * List of individual attributes contained in the identifier
    * @type {iRfidAttributeName[]}
    */
    Attributes: iRfidAttributeName[];
}
/**
* Structure contains information that serves as the distinguished name (identifier) of an object.
*/
export declare class RfidDistinguishedName implements iRfidDistinguishedName {
    /**
    * Contents of the identifier in binary form. Base64 encoded.
    * @type {string}
    */
    Data: string;
    /**
    * Text representation of the identifier (UTF8)
    * @type {TrfFtString}
    */
    FriendlyName: TrfFtString;
    /**
    * List of individual attributes contained in the identifier
    * @type {iRfidAttributeName[]}
    */
    Attributes: iRfidAttributeName[];
}
