import { eCheckDiagnose, eCheckResult } from '../../../../../../../../../../consts';
import { tAuthenticityFibersTypeCheckResultType } from '../../../../../../../../../../models';
import { aAuthenticityCheck } from '../authenticity-check.abstract';
import { iRLocation, RLocation } from './children';
export interface iRAuthenticityFibersCheck extends aAuthenticityCheck {
    /**
    * Feature type
    * @type {tAuthenticityFibersTypeCheckResultType}
    */
    checkType: tAuthenticityFibersTypeCheckResultType;
    /**
    * Area location
    * @type {iRLocation|undefined}
    */
    location?: iRLocation;
    /**
    * Element with which errors are checked
    * @type {eCheckDiagnose}
    */
    diagnose: eCheckDiagnose;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * Fibers’ color (B, G, R)
    * @type {number[]}
    */
    colorValues: number[];
    /**
    * Number of RectArray, Width, Length, Area items
    * @type {number}
    */
    rectCount: number;
    /**
    * Expected fibers number
    * @type {number}
    */
    expectedCount: number;
}
export declare class RAuthenticityFibersCheck extends aAuthenticityCheck implements iRAuthenticityFibersCheck {
    /**
    * Feature type
    * @type {tAuthenticityFibersTypeCheckResultType}
    */
    checkType: tAuthenticityFibersTypeCheckResultType;
    /**
    * Area location
    * @type {RLocation|undefined}
    */
    location?: RLocation;
    /**
    * Element with which errors are checked
    * @type {eCheckDiagnose}
    */
    diagnose: eCheckDiagnose;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * Fibers’ color (B, G, R)
    * @type {number[]}
    */
    colorValues: number[];
    /**
    * Number of RectArray, Width, Length, Area items
    * @type {number}
    */
    rectCount: number;
    /**
    * Expected fibers number
    * @type {number}
    */
    expectedCount: number;
    /**
    * Create instance of RAuthenticityImageCheckListItem from plain object
    * @param {iRAuthenticityFibersCheck} input - plain object
    * @returns {RAuthenticityFibersCheck}
    */
    static fromPlain: (input: any) => RAuthenticityFibersCheck;
    /**
    * Check if the given object is an instance of RAuthenticityIdentCheck
    * @param {unknown} type - object to check
    * @returns {type is RAuthenticityFibersCheck} - result
    */
    static isBelongs: (type: unknown) => type is RAuthenticityFibersCheck;
}
