import { ePortraitComparisonSource, iRPortraitComparisonComparable, RPortraitComparisonComparable } from './children';
/**
* Portraits comparison item
*/
export interface iRPortraitsComparison {
    /**
    * Reference image
    * @type {string}
    */
    image: string;
    /**
    * Portraits comparison source
    * @type {ePortraitComparisonSource}
    */
    source: ePortraitComparisonSource;
    /**
    * Comparison elements
    * @type {iRPortraitComparisonComparable[]}
    */
    comparable: iRPortraitComparisonComparable[];
}
/**
* Portraits comparison item
*/
export declare class RPortraitsComparison implements iRPortraitsComparison {
    /**
    * Reference image
    * @type {string}
    */
    image: string;
    /**
    * Portraits comparison source
    * @type {ePortraitComparisonSource}
    */
    source: ePortraitComparisonSource;
    /**
    * Comparison elements
    * @type {iRPortraitComparisonComparable[]}
    */
    comparable: RPortraitComparisonComparable[];
    /**
    * Create instance of RPortraitsComparison from plain object
    * @param {iRPortraitsComparison} input - plain object
    * @returns {RPortraitsComparison}
    */
    static fromPlain: (input: any) => RPortraitsComparison;
}
